Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001979TestLinkTest Specificationpublic2009-01-14 23:022010-10-09 08:00
Reporteryogeshudawant 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.4 
Fixed in Version1.9 RC 1 
Summary0001979: Fatal error on exporting all test suites data
DescriptionFatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 311488 bytes) in C:\testlink\testlink\lib\functions\testsuite.class.php on line 643
Additional InformationSpecification->project->click on Export all test suites
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE 6.0
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0005004)
fman (administrator)
2009-01-15 00:55

How many test cases ?
(0005010)
yogeshudawant (reporter)
2009-01-15 14:49
edited on: 2009-01-15 15:52

Total test cases are 5104 in a project. I want to export all these test suites data from project. Data size is around 5 MB.
Export on individual test suite with 1917 test cases is working fine(2.09MB data).
But on exporting entire test suites from project cause fatal error.

I have got fatal error while searching test cases by keyword also.

Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 1632 bytes) in C:\testlink\testlink\third_party\adodb\adodb.inc.php on line 854

(0005017)
fman (administrator)
2009-01-15 23:50

Humm!! IMHO too many test cases. We will try to find a solution or at least give warning is test case qty is too high.

Please switch to 1.8 RC3 as soon as will be released.
(0005026)
mhavlat (reporter)
2009-01-16 18:12

Workaround: increase max memory in php.ini to 64M

Target release: 1.9?
(0005028)
yogeshudawant (reporter)
2009-01-16 18:55

I have changed memory to 64MB (also 100MB) in php.ini, but its still not working.
(0011717)
fman (administrator)
2010-10-09 08:00

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2009-01-14 23:02 yogeshudawant New Issue
2009-01-14 23:02 yogeshudawant Browser => IE 6.0
2009-01-15 00:55 fman Note Added: 0005004
2009-01-15 14:49 yogeshudawant Note Added: 0005010
2009-01-15 15:48 yogeshudawant Note Edited: 0005010
2009-01-15 15:52 yogeshudawant Note Edited: 0005010
2009-01-15 15:52 yogeshudawant Note Edited: 0005010
2009-01-15 23:50 fman Note Added: 0005017
2009-01-16 18:12 mhavlat Note Added: 0005026
2009-01-16 18:55 yogeshudawant Note Added: 0005028
2010-10-02 17:20 fman Status new => resolved
2010-10-02 17:20 fman Fixed in Version => 1.9 RC 1
2010-10-02 17:20 fman Resolution open => fixed
2010-10-02 17:20 fman Assigned To => fman
2010-10-09 08:00 fman Note Added: 0011717
2010-10-09 08:00 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker